export type AccountConfig = {
    bridge_accounts: AccountInfo[];
    local_accounts: AccountInfo[];
    bridge_msigs: BridgeMSigInfo[];
    local_msigs: BridgeMSigInfo[];
    loaded: boolean;
};
export type AccountInfo = {
    network: string;
    name: string;
    address: string;
};
export type BridgeMSigInfo = {
    network: string;
    name: string;
    addresses: string[];
};
export declare enum BridgeAccountNames {
    algorand_asaOwner = "algorand.asaOwner",
    algorand_algoVault = "algorand.algoVault",
    algorand_bridgeOwner = "algorand.bridgeOwner",
    algorand_feeReceiver = "algorand.feeReceiver",
    algorand_multisig1 = "algorand.multisig1",
    algorand_multisig2 = "algorand.multisig2"
}
export declare class BridgeAccounts {
    static config: AccountConfig;
    static loadConfig(path: string): void;
    static saveConfig(path: string): void;
    static getAccountInfo(network: string, name: string): AccountInfo | undefined;
    static getMSigInfo(network: string, name: string): BridgeMSigInfo | undefined;
}
