"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BridgeAccounts = exports.BridgeAccountNames = void 0;
var BridgeAccountNames;
(function (BridgeAccountNames) {
    BridgeAccountNames["algorand_asaOwner"] = "algorand.asaOwner";
    BridgeAccountNames["algorand_algoVault"] = "algorand.algoVault";
    BridgeAccountNames["algorand_bridgeOwner"] = "algorand.bridgeOwner";
    BridgeAccountNames["algorand_feeReceiver"] = "algorand.feeReceiver";
    BridgeAccountNames["algorand_multisig1"] = "algorand.multisig1";
    BridgeAccountNames["algorand_multisig2"] = "algorand.multisig2";
})(BridgeAccountNames = exports.BridgeAccountNames || (exports.BridgeAccountNames = {}));
var BridgeAccounts = /** @class */ (function () {
    function BridgeAccounts() {
    }
    //Load/Save Config
    BridgeAccounts.loadConfig = function (path) {
        BridgeAccounts.config = require(path);
    };
    BridgeAccounts.saveConfig = function (path) {
        var writeValue = JSON.stringify(BridgeAccounts.config, function (key, value) {
            return typeof value === 'bigint' ? value.toString() : value;
        }, 2);
        var fs = require('fs');
        fs.writeFileSync(path, writeValue, function (err) {
            if (err) {
                console.log(err);
            }
        });
    };
    //Get Account Info
    BridgeAccounts.getAccountInfo = function (network, name) {
        console.log("matching: ".concat(name.toLowerCase(), " ").concat(network.toLowerCase()));
        var accounts = BridgeAccounts.config.bridge_accounts;
        accounts.push.apply(accounts, BridgeAccounts.config.local_accounts);
        for (var i = 0; i < accounts.length; i++) {
            var info = accounts[i];
            if (info.network.toLowerCase() === network.toLowerCase() &&
                info.name.toLowerCase() === name.toLowerCase())
                return info;
        }
        return undefined;
    };
    BridgeAccounts.getMSigInfo = function (network, name) {
        console.log("matching: ".concat(name.toLowerCase(), " ").concat(network.toLowerCase()));
        var accounts = BridgeAccounts.config.bridge_msigs;
        accounts.push.apply(accounts, BridgeAccounts.config.local_msigs);
        for (var i = 0; i < accounts.length; i++) {
            var info = accounts[i];
            if (info.network.toLowerCase() === network.toLowerCase() &&
                info.name.toLowerCase() === name.toLowerCase())
                return info;
        }
        return undefined;
    };
    BridgeAccounts.config = {
        bridge_accounts: [],
        local_accounts: [],
        bridge_msigs: [],
        local_msigs: [],
        loaded: false
    };
    return BridgeAccounts;
}());
exports.BridgeAccounts = BridgeAccounts;
